package com.ruoyi.project.check.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 维修点对象 t_check_repairpoints
 *
 * @author ruoyi
 * @date 2022-12-06
 */
public class TCheckRepairpoints extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识id */
    private Long checkId;

    /** 密封点id */
    private Long pointId;

    /** 维修任务id */
    private Long repairId;

    /** 净检测值 */
    @Excel(name = "净检测值")
    private String netTestValue;

    /** 维修方法 */
    @Excel(name = "维修方法")
    private String repairFunc;

    /** 维修状态 */
    @Excel(name = "维修状态")
    private String repairType;

    /** 维修次数 */
    @Excel(name = "维修次数")
    private String repairCount;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String plantName;

    /** 区域名称 */
    @Excel(name = "区域名称")
    private String regionName;

    /** 平台 */
    @Excel(name = "平台")
    private String layer;

    /** 设备/管线名称 */
    @Excel(name = "设备/管线名称")
    private String devName;

    /** 设备/管线编号 */
    @Excel(name = "设备/管线编号")
    private String devCode;

    /** 群组编码 */
    @Excel(name = "群组编码")
    private String groupCode;

    /** 密封点扩展号编码 */
    @Excel(name = "密封点扩展号编码")
    private String extendCode;

    /** 密封点类型 */
    @Excel(name = "密封点类型")
    private String pointType;

    /** 仪器编号 */
    @Excel(name = "仪器编号")
    private String instrumentCode;

    /** 泄露部位 */
    @Excel(name = "泄露部位")
    private String leakagePosition;

    /** 维修人员 */
    @Excel(name = "维修人员")
    private String repairer;

    /** 维修日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "维修日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date repairDate;

    /** 泄漏程度 */
    @Excel(name = "泄漏程度",readConverterExp = "1=不漏,2=一般泄露,3=严重泄漏")
    private String leakageDegree;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 审核状态 */
    @Excel(name = "审核状态",readConverterExp = "0=未审核,1=已送审,2=已审核")
    private Long approveStatus;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date approveTime;

    /** 部门编号 */
    private Long deptId;

    /** 状态  0：正常 ；1：删除 */
    private Integer delFlag;

    /** 创建人 */
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createdate;

    /** 维护人 */
    private Long updaterCode;

    /** 维护时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updatedate;

    /** 装置id */
    private Long plantId;

    /** 区域id */
    private Long regionId;

    /** 设备id */
    private Long devId;

    /** 仪器id */
    private Long instrumentId;

    /** 装置类别 */
    @Excel(name = "装置类别")
    private String plantType;

    /** 介质状态 */
    @Excel(name = "介质状态")
    private String mediumType;

    @TableField(exist = false)
    private Long[] checkIds;

    @TableField(exist = false)
    private String choose;

    public Long[] getCheckIds() {
        return checkIds;
    }

    public void setCheckIds(Long[] checkIds) {
        this.checkIds = checkIds;
    }

    public String getChoose() {
        return choose;
    }

    public void setChoose(String choose) {
        this.choose = choose;
    }

    public void setCheckId(Long checkId)
    {
        this.checkId = checkId;
    }

    public Long getCheckId()
    {
        return checkId;
    }
    public void setPointId(Long pointId)
    {
        this.pointId = pointId;
    }

    public Long getPointId()
    {
        return pointId;
    }
    public void setRepairId(Long repairId)
    {
        this.repairId = repairId;
    }

    public Long getRepairId()
    {
        return repairId;
    }
    public void setNetTestValue(String netTestValue)
    {
        this.netTestValue = netTestValue;
    }

    public String getNetTestValue()
    {
        return netTestValue;
    }
    public void setRepairFunc(String repairFunc)
    {
        this.repairFunc = repairFunc;
    }

    public String getRepairFunc()
    {
        return repairFunc;
    }
    public void setRepairType(String repairType)
    {
        this.repairType = repairType;
    }

    public String getRepairType()
    {
        return repairType;
    }
    public void setRepairCount(String repairCount)
    {
        this.repairCount = repairCount;
    }

    public String getRepairCount()
    {
        return repairCount;
    }
    public void setPlantName(String plantName)
    {
        this.plantName = plantName;
    }

    public String getPlantName()
    {
        return plantName;
    }
    public void setRegionName(String regionName)
    {
        this.regionName = regionName;
    }

    public String getRegionName()
    {
        return regionName;
    }
    public void setLayer(String layer)
    {
        this.layer = layer;
    }

    public String getLayer()
    {
        return layer;
    }
    public void setDevName(String devName)
    {
        this.devName = devName;
    }

    public String getDevName()
    {
        return devName;
    }
    public void setDevCode(String devCode)
    {
        this.devCode = devCode;
    }

    public String getDevCode()
    {
        return devCode;
    }
    public void setGroupCode(String groupCode)
    {
        this.groupCode = groupCode;
    }

    public String getGroupCode()
    {
        return groupCode;
    }
    public void setExtendCode(String extendCode)
    {
        this.extendCode = extendCode;
    }

    public String getExtendCode()
    {
        return extendCode;
    }
    public void setPointType(String pointType)
    {
        this.pointType = pointType;
    }

    public String getPointType()
    {
        return pointType;
    }
    public void setInstrumentCode(String instrumentCode)
    {
        this.instrumentCode = instrumentCode;
    }

    public String getInstrumentCode()
    {
        return instrumentCode;
    }
    public void setLeakagePosition(String leakagePosition)
    {
        this.leakagePosition = leakagePosition;
    }

    public String getLeakagePosition()
    {
        return leakagePosition;
    }
    public void setRepairer(String repairer)
    {
        this.repairer = repairer;
    }

    public String getRepairer()
    {
        return repairer;
    }
    public void setRepairDate(Date repairDate)
    {
        this.repairDate = repairDate;
    }

    public Date getRepairDate()
    {
        return repairDate;
    }
    public void setLeakageDegree(String leakageDegree)
    {
        this.leakageDegree = leakageDegree;
    }

    public String getLeakageDegree()
    {
        return leakageDegree;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }
    public void setApproveTime(Date approveTime)
    {
        this.approveTime = approveTime;
    }

    public Date getApproveTime()
    {
        return approveTime;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setPlantId(Long plantId)
    {
        this.plantId = plantId;
    }

    public Long getPlantId()
    {
        return plantId;
    }
    public void setRegionId(Long regionId)
    {
        this.regionId = regionId;
    }

    public Long getRegionId()
    {
        return regionId;
    }
    public void setDevId(Long devId)
    {
        this.devId = devId;
    }

    public Long getDevId()
    {
        return devId;
    }
    public void setInstrumentId(Long instrumentId)
    {
        this.instrumentId = instrumentId;
    }

    public Long getInstrumentId()
    {
        return instrumentId;
    }
    public void setPlantType(String plantType)
    {
        this.plantType = plantType;
    }

    public String getPlantType()
    {
        return plantType;
    }
    public void setMediumType(String mediumType)
    {
        this.mediumType = mediumType;
    }

    public String getMediumType()
    {
        return mediumType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("checkId", getCheckId())
            .append("pointId", getPointId())
            .append("repairId", getRepairId())
            .append("netTestValue", getNetTestValue())
            .append("repairFunc", getRepairFunc())
            .append("repairType", getRepairType())
            .append("repairCount", getRepairCount())
            .append("plantName", getPlantName())
            .append("regionName", getRegionName())
            .append("layer", getLayer())
            .append("devName", getDevName())
            .append("devCode", getDevCode())
            .append("groupCode", getGroupCode())
            .append("extendCode", getExtendCode())
            .append("pointType", getPointType())
            .append("instrumentCode", getInstrumentCode())
            .append("leakagePosition", getLeakagePosition())
            .append("repairer", getRepairer())
            .append("repairDate", getRepairDate())
            .append("leakageDegree", getLeakageDegree())
            .append("remarks", getRemarks())
            .append("approveStatus", getApproveStatus())
            .append("approveTime", getApproveTime())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("plantId", getPlantId())
            .append("regionId", getRegionId())
            .append("devId", getDevId())
            .append("instrumentId", getInstrumentId())
            .append("plantType", getPlantType())
            .append("mediumType", getMediumType())
            .toString();
    }
}
